FreeCalypso > hg > fc-am-toolkit
view sh/c139-gen-fc-script @ 18:c8ad6188b9ed
add c139-gen-fc-* shell script hierarchy
author | Mychaela Falconia <falcon@freecalypso.org> |
---|---|
date | Sat, 10 Jun 2023 08:16:10 +0000 |
parents | |
children | 2299f1ebbfd2 |
line wrap: on
line source
#!/bin/sh if [ $# != 1 ] then echo "usage: $0 fwimage.bin" 1>&2 exit 1 fi if [ ! -f "$1" ] then echo "Error: $1 does not exist or is not a regular file" 1>&2 exit 1 fi if [ ! -d rfbin ] then echo "Error: rfbin directory is missing" 1>&2 exit 1 fi if [ ! -f IMEI ] then echo "Error: IMEI file is missing" 1>&2 exit 1 fi set -e c139-gen-fc-ffs-img rfbin IMEI echo 'flash erase-program-boot /opt/freecalypso/target-bin/compal-flash-boot-for-fc.bin' > fc-flash-script echo "flash e-program-bin 0x10000 $1" >> fc-flash-script echo "flash e-program-bin 0x300000 fc-ffs.bin" >> fc-flash-script echo 'Generated fc-loadtool command script in fc-flash-script'